<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>EntityCreate (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EntityCreate (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/history/change/EntityRemove.html" title="class in com.sk89q.worldedit.history.change"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/history/change/EntityCreate.html" target="_top">Frames</a></li>
<li><a href="EntityCreate.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.history.change</div>
<h2 title="Class EntityCreate" class="title">Class EntityCreate</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.history.change.EntityCreate</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">EntityCreate</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a></pre>
<div class="block">Logs the creation of an entity and removes the entity upon undo.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/change/EntityCreate.html#EntityCreate-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-com.sk89q.worldedit.entity.Entity-">EntityCreate</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
            <a href="../../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;state,
            <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&nbsp;entity)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/change/EntityCreate.html#redo-com.sk89q.worldedit.history.UndoContext-">redo</a></span>(<a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</code>
<div class="block">Perform an redo.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/change/EntityCreate.html#undo-com.sk89q.worldedit.history.UndoContext-">undo</a></span>(<a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</code>
<div class="block">Perform an undo.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EntityCreate-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-com.sk89q.worldedit.entity.Entity-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EntityCreate</h4>
<pre>public&nbsp;EntityCreate(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
                    <a href="../../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;state,
                    <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&nbsp;entity)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>location</code> - the location</dd>
<dd><code>state</code> - the state of the created entity</dd>
<dd><code>entity</code> - the entity that was created</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="undo-com.sk89q.worldedit.history.UndoContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undo</h4>
<pre>public&nbsp;void&nbsp;undo(<a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)
          throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html#undo-com.sk89q.worldedit.history.UndoContext-">Change</a></code></span></div>
<div class="block">Perform an undo. This method may not be available if the object
 was returned from <a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#forwardIterator--"><code>ChangeSet.forwardIterator()</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html#undo-com.sk89q.worldedit.history.UndoContext-">undo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - a context for undo</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - on an error</dd>
</dl>
</li>
</ul>
<a name="redo-com.sk89q.worldedit.history.UndoContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>redo</h4>
<pre>public&nbsp;void&nbsp;redo(<a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)
          throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html#redo-com.sk89q.worldedit.history.UndoContext-">Change</a></code></span></div>
<div class="block">Perform an redo. This method may not be available if the object
 was returned from <a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#backwardIterator--"><code>ChangeSet.backwardIterator()</code></a> ()}.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html#redo-com.sk89q.worldedit.history.UndoContext-">redo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - a context for redo</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - on an error</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/history/change/EntityRemove.html" title="class in com.sk89q.worldedit.history.change"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/history/change/EntityCreate.html" target="_top">Frames</a></li>
<li><a href="EntityCreate.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
